Subject: Alphonso Mango

From: [email-masked] (Madhav Nerurkar)
Date: 17 Apr 93 01:29:58 GMT

Any ideas on where one can get Alphonso mangoes. This particular variety of
mango is the most delicious fruit I have ever tasted. It is typically
smaller than the Florida mangoes you can get in the supermarket but is 
much yellower when ripe. Many Indian Spice/Food stores carry canned mango
pulp but I have never seen a fresh mango of this type. Canning imparts a
very undesirable smell as well as taste.

Thanks,

Madhav Nerurkar          Disclaimer: These are my opinions.